<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Less1: Homework, task1</title>
</head>
<body>
	<div id="forList"></div>
	<p></p>
	<div id="forSearch">
		<input type="textarea" id="searchArea" placeholder="A">
		<button id="btnSearch">Найти</button>
		<div id="result"></div>
	</div>
	<script>
				/*
		  Задание:
		  1. При помощи методов изложеных в arrays.js , переформатировать ITEA_COURSES в массив который содержит длину строк каждого из элементов.
		  2. Самостоятельно изучить метод Array.sort. Отфильтровать массив ITEA_COURSES по алфавиту.
		      + Бонусный бал. Вывести на страничку списком
		  3. Реализация функции поиска по массиву ITEA_COURSES.
		      + Бонусный бал. Вывести на страничку инпут и кнопку по которой будет срабатывать поиск.

		*/

		const ITEA_COURSES = ["Курс HTML & CSS", "JavaScript базовый курс", "JavaScript продвинутый курс", "JavaScript Professional", "Angular 2.4 (базовый)", "Angular 2.4 (продвинутый)", "React.js", "React Native", "Node.js", "Vue.js"];

		let divForList = document.getElementById("forList");
		let divForSearch = document.getElementById("result");
		let textArea = document.getElementById("searchArea");
		let btnS = document.getElementById("btnSearch");

		const LENGTH_COURSES = ITEA_COURSES.map( (item) => {
			return item.length;
		});

		console.log(LENGTH_COURSES);

		let sortedCources = [...ITEA_COURSES].sort();
		// console.log( 'start:', ITEA_COURSES, 'sorted:', sortedCources)
		sortedCources.forEach( (item) => {
			let li = document.createElement("li");
			li.innerHTML = item;
			divForList.appendChild(li);
		})


		const Find = (array, symbol) => {
			let id_array = [];
			
			for (let i=0; i<array.length; i++){
				if (array[i].indexOf(symbol) == 0){
					id_array.push(array[i]);
				}
			}
			return id_array 
		}

		const DrawResult = () => {
			divForSearch.innerHTML = "";
			Find(ITEA_COURSES,textArea.value).forEach( (item) => {
				let p = document.createElement("p");
				p.innerHTML = item;
				divForSearch.appendChild(p);
			})
			textArea.value = "";
		}
		

		btnS.addEventListener('click', DrawResult );
	</script>
	
</body>
</html>